# SPDX-License-Identifier: MIT
%global archive_name %{lua:t=string.gsub(rpm.expand("%{default_fonts_foundry} %{fonts_family}"), "[%p%s]+", "_");print(t)}

%global source_version 20161102
%global source_release 7
%global source_url     http://www.greekfontsociety-gfs.gr/typefaces/19th_century

%global default_fonts_foundry      GFS
%global default_fonts_license      OFL
%global default_fonts_licenses     OFL.txt
%global default_fonts_docs         *.txt
%global default_fonts_docs_exclude %{default_fonts_licenses}

%global fonts_family             Orpheus Classic
%global fonts_summary            GFS Orpheus Classic, a 19th century Greek font family
%global fonts_tags               %{expand:
Suggests: font(gfsorpheus)
}
%global fonts_fonts              *.otf
%global fonts_experimental_confs 61-%{fonts_name}.xml
%global fonts_description        %{expand:
This rare typeface was first used in the last decade of the 19th century and
was offered for use until the 1960s. Its design is characterized by an
outstanding subtlety and purity in its letter-forms. With almost round counters,
a low x-height, a fairly high contrast and a nearly horizontal axis, it is a
very elegant and legible typeface that works excellently on small text. GFS
Orpheus Classic is a digital reproduction of this brilliant design.

It was digitized by George Triantafyllakos based on specimens from Linotype Co.}

%global doc_licenses0 %{default_fonts_licenses}
%global doc_docs0     *pdf

%auto_init
%auto_pkg

%sourcelist
http://www.greekfontsociety-gfs.gr/_assets/fonts/%{archive_name}.zip
61-%{fonts_name}.xml
%auto_sources

%prep
%auto_prep
%setup -q -c -T
unzip -j -q %{_sourcedir}/%{archive_name}.zip
install -m 644 %{_sourcedir}/*xml .
%linuxtext *.txt

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog
%auto_changelog
